function set_dout(L)
% Set digital out
%
% Author: DJ van Gerwen
% Created: 2016 june 5


if ~isempty(L.DOUT_state) % Q&D...
    for i = 1:length(L.DOUT_list)
        if ismember(L.device_type,{'U3','UE9'})
            L.UDobject.eGet(L.lj_handle, LabJack.LabJackUD.IO.PUT_DIGITAL_BIT, L.DOUT_list(i), L.DOUT_state(i), 0);
        elseif strcmp(L.device_type,'T7')
            LabJack.LJM.eWriteName(L.lj_handle,sprintf('DIO%u',L.DOUT_list(i)),L.DOUT_state(i)); % NOTE: DIO covers FIO and additional IO (see LJM Modbus Map)
        end
        
    end
end
end